# YouTube Analytics API . batchReportDefinitions

## Instance Methods

Retrieves a list of available batch report definitions.

### Method Details

`list(onBehalfOfContentOwner)`

    Retrieves a list of available batch report definitions.

    Args:
      onBehalfOfContentOwner: string, The onBehalfOfContentOwner parameter identifies the content owner that the user is acting on behalf of. (required)

    Returns:
      An object of the form:

        { # A paginated list of batchReportDefinition resources returned in response to a youtubeAnalytics.batchReportDefinitions.list request.
        "items": [ # A list of batchReportDefinition resources that match the request criteria.
          { # Contains single batchReportDefinition resource.
            "status": "A String", # Status of the report definition.
            "kind": "youtubeAnalytics#batchReportDefinition", # This value specifies the type of data of this item. For batch report definition the kind property value is youtubeAnalytics#batchReportDefinition.
            "type": "A String", # Type of the report definition.
            "id": "A String", # The ID that YouTube assigns and uses to uniquely identify the report definition.
            "name": "A String", # Name of the report definition.
          },
        ],
        "kind": "youtubeAnalytics#batchReportDefinitionList", # This value specifies the type of data included in the API response. For the list method, the kind property value is youtubeAnalytics#batchReportDefinitionList.
      }